CREATE DATABASE IF NOT EXISTS InterGolf;

CREATE TABLE InterGolf.soci (
idSoci INT NOT NULL AUTO_INCREMENT,
nom varchar(30) NULL ,
cognom1 varchar(30) NULL ,
cognom2 varchar(30) NULL ,
dni varchar(10) NULL ,
adreca varchar(50) NULL ,
cp varchar(5) NULL ,
poblacio varchar(30) NULL ,
provincia varchar(30) NULL ,
telefon INT NULL ,
email varchar(50) NULL ,
PRIMARY KEY (idSoci)
);

CREATE TABLE InterGolf.torneig (
idTorneig INT NOT NULL AUTO_INCREMENT,
nom varchar(30) NULL ,
data date NULL ,
obs varchar(255) NULL ,
PRIMARY KEY (idTorneig)
);

CREATE TABLE InterGolf.inscripcio (
idInscripcio INT NOT NULL AUTO_INCREMENT,
idSoci INT NULL ,
idTorneig INT NULL ,
data date NULL ,
PRIMARY KEY (idInscripcio) ,
INDEX idSoci (idSoci ASC) ,
  FOREIGN KEY (idSoci)
  REFERENCES soci(idSoci)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION ,
INDEX idTorneig (idTorneig ASC) ,
  FOREIGN KEY (idTorneig)
  REFERENCES torneig(idTorneig)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION
);

CREATE TABLE InterGolf.jutge (
idJutge INT NOT NULL AUTO_INCREMENT,
nom varchar(30) NULL ,
cognom1 varchar(30) NULL ,
cognom2 varchar(30) NULL ,
usuari varchar(10) NULL ,
contrasenya varchar(10) NULL ,
PRIMARY KEY (idJutge)
);

CREATE TABLE InterGolf.targeta (
idTargeta INT NOT NULL AUTO_INCREMENT,
idJutge INT NULL ,
idInscripcio INT NULL ,
cop1 INT NULL ,
cop2 INT NULL ,
cop3 INT NULL ,
cop4 INT NULL ,
cop5 INT NULL ,
cop6 INT NULL ,
cop7 INT NULL ,
cop8 INT NULL ,
cop9 INT NULL ,
cop10 INT NULL ,
cop11 INT NULL ,
cop12 INT NULL ,
cop13 INT NULL ,
cop14 INT NULL ,
cop15 INT NULL ,
cop16 INT NULL ,
cop17 INT NULL ,
cop18 INT NULL ,
PRIMARY KEY (idTargeta),
INDEX idJutge (idJutge ASC) ,
  FOREIGN KEY (idJutge)
  REFERENCES jutge(idJutge)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION ,
INDEX idTorneig (idInscripcio ASC) ,
  FOREIGN KEY (idInscripcio)
  REFERENCES Inscripcio(idInscripcio)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION
);

CREATE TABLE InterGolf.ParCamp (
idForat INT NULL,
cops INT NULL ,
PRIMARY KEY (idForat)
);